%define pypi_name httpcore

Name:       python-%{pypi_name}
Version:    0.15.0
Release:    %mkrel 1
Summary:    A minimal low-level HTTP client
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/httpcore
Source0:    %{pypi_source}
BuildArch:  noarch

%description
The HTTP Core package provides a minimal low-level HTTP client, which does one
thing only. Sending HTTP requests.

%package -n     python3-%{pypi_name}
Summary:        A minimal low-level HTTP client
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The HTTP Core package provides a minimal low-level HTTP client, which does one
thing only. Sending HTTP requests.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
perl -pi -e 's/h11>=0.11,<0.13/h11>=0.11/' setup.py


# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/httpcore
%{python3_sitelib}/httpcore-%{version}-*.egg-info



%changelog
* Sun Sep 18 2022 guillomovitch <guillomovitch> 0.15.0-1.mga9
+ Revision: 1889840
- new version 0.15.0

* Wed Mar 23 2022 umeabot <umeabot> 0.14.7-3.mga9
+ Revision: 1823701
- Mageia 9 Mass Rebuild

* Wed Mar 23 2022 guillomovitch <guillomovitch> 0.14.7-2.mga9
+ Revision: 1823208
- relax versionned dependency on python-h11

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.14.7-1.mga9
+ Revision: 1784379
- version 0.14.7
- rebuild for python-3.10

* Sun Dec 12 2021 guillomovitch <guillomovitch> 0.14.3-1.mga9
+ Revision: 1761622
- new version 0.14.3

* Sat Sep 25 2021 guillomovitch <guillomovitch> 0.13.7-1.mga9
+ Revision: 1746346
- new version 0.13.7

* Sun Aug 22 2021 wally <wally> 0.13.6-1.mga9
+ Revision: 1742182
-  new version 0.13.6

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.12.3-2.mga9
+ Revision: 1705038
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 0.12.3-1.mga9
+ Revision: 1691744
- new version 0.12.3

* Sat Nov 28 2020 guillomovitch <guillomovitch> 0.12.2-1.mga8
+ Revision: 1649850
- new version 0.12.2

* Tue Nov 10 2020 guillomovitch <guillomovitch> 0.12.1-1.mga8
+ Revision: 1644329
- new version 0.12.1

* Mon Oct 12 2020 guillomovitch <guillomovitch> 0.12.0-1.mga8
+ Revision: 1634572
- new version 0.12.0

* Thu Oct 01 2020 guillomovitch <guillomovitch> 0.11.1-1.mga8
+ Revision: 1631475
- new version 0.11.1

* Fri Sep 25 2020 guillomovitch <guillomovitch> 0.11.0-1.mga8
+ Revision: 1630007
- new version 0.11.0

* Sat Sep 05 2020 guillomovitch <guillomovitch> 0.10.2-1.mga8
+ Revision: 1622512
- new version 0.10.2

* Sun Jul 12 2020 guillomovitch <guillomovitch> 0.9.1-1.mga8
+ Revision: 1605704
- imported package python-httpcore

